Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class WLSQLBuilderImpl

    java.lang.Object
      |
      +--oracle.jbo.server.BaseSQLBuilderImpl
            |
            +--oracle.jbo.server.OLiteSQLBuilderImpl
                  |
                  +--oracle.jbo.server.WLSQLBuilderImpl

public class WLSQLBuilderImpl
extends OLiteSQLBuilderImpl

Fields inherited from class oracle.jbo.server.OLiteSQLBuilderImpl
`ERROR_OLITE_RESOURCE_BUSY_AND_NOWAIT_SPECIFIED, ORACLE_ROWID_COLUMN`

Constructor Summary
`protected` | `WLSQLBuilderImpl()` This is a singleton class

Method Summary
`void` | `doRegisterDefaultDriver()` Registers the JDBC driver associated with this type of JDBC connection.
`static SQLBuilder` | `getInterface()` Gets the singleton instance of this class.

Methods inherited from class oracle.jbo.server.OLiteSQLBuilderImpl
`addSqlTypeText, capabilityCanReuseLockStatements, getBaseTable, getDbType, getDefaultBindingStyle, getJDBCDriverClassName, getTableList, getTableListSqlStatement, getVersion`

Methods inherited from class oracle.jbo.server.BaseSQLBuilderImpl
`bindInsertStatement, bindUpdateStatement, bindWhereClause, buildDeleteStatement, buildInsertStatement, buildSelectString, buildUpdateStatement, buildWhereClause, convertFlags, doEntityDML, doEntitySelect, doLoadBulkFromResultSet, doLoadFromResultSet, doLoadFromStatement, doPreparedStatementDefineColumnType, doPreparedStatementDefines, doStatementSetBindingStyle, doStatementSetBindingStyleDefault, doStatementSetRowPrefetch, dumpConstraint, generatePKBasedRef, generateRefAndOID, generateRowID, getConstraints, getROWID, getSchemaList, getWarningText, isCharType, isNumericType, isStreamType, populateJboTypeMapEntries`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLSQLBuilderImpl

    protected WLSQLBuilderImpl()

  This is a singleton class

Method Detail

### getInterface

    public static SQLBuilder getInterface()

  Gets the singleton instance of this class.

### doRegisterDefaultDriver

    public void doRegisterDefaultDriver()
                                 throws java.sql.SQLException

  Description copied from interface: SQLBuilder
  Registers the JDBC driver associated with this type of JDBC connection.
  Overrides:
    doRegisterDefaultDriver in class BaseSQLBuilderImpl
  Tags copied from interface: SQLBuilder
  Throws:
    java.sql.SQLException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD